<div class="row">
    <div class="col-md-12">
            <nb-card>
                <nb-card-header>Product Mapping</nb-card-header>
                <nb-card-body  *ngIf="(isInsertMode) || (isEditMode)">
                <form #createForm="ngForm">
                    <div class="form-group row">
                    <label for="inputEmail1" class="label col-sm-2 col-form-label">Product Name</label>
                    <div class="col-sm-6">
                        <input style="display:none;" type="text" [(ngModel)]="DTA.Id" nbInput fullWidth id="inputEmail1" placeholder="Please Type" [ngModelOptions]="{standalone: true}">
                        <div class="auto-width">
                        <mat-form-field>
                          <mat-select required placeholder="Please Select" [(value)]="DTA.MaterialCode" #singleSelect>
                            <mat-option>
                              <ngx-mat-select-search noEntriesFoundLabel="No matching material found" placeholderLabel="Searching Material..." [formControl]="matFilterCtrl"></ngx-mat-select-search>
                            </mat-option>
                            <mat-option *ngFor="let DTA of filteredMatsFinal" [value]="DTA.MaterialCode">
                              {{DTA.MaterialDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                    </div>
                    </div>
                    <div class="form-group row">
                        <label for="inputEmail1" class="label col-sm-2 col-form-label">Price Type</label>
                        <div class="col-sm-6">
                          <mat-form-field>
                            <mat-select required  placeholder="Please Select" [(value)]="DTA.PriceTypeId">
                              <mat-option *ngFor="let DTA of prcTypeData" [value]="DTA.PriceTypeId">
                                {{DTA.PriceTypeName}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                       </div>
                    </div>
                    <div class="form-group row">
                    <div class="offset-sm-6">
                        
                        <button [disabled]="isFormValid()"  size="small"  *ngIf="isEditMode" type="submit" nbButton status="primary" (click)="UpdateData(DTA.Id)"  ><nb-icon icon="checkmark-circle-outline"></nb-icon>Update</button>
                        <button [disabled]="isFormValid()"  size="small"  *ngIf="isInsertMode" type="submit" nbButton status="primary" (click)="SaveData()"  ><nb-icon icon="save-outline"></nb-icon>Save</button>
                        &nbsp;<button size="small" type="submit" nbButton status="primary" (click)="CancelData()"><nb-icon icon="corner-down-left-outline"></nb-icon>Cancel</button>
                    </div>
                    </div>
                </form>
                </nb-card-body>
                <nb-card-body [hidden]="!isListMode">
                <button size="small" style="margin-bottom:5px;" type="submit" nbButton status="primary" (click)="AddData()"><nb-icon icon="plus-square-outline"></nb-icon>Add Data</button>
                <div style="overflow-x:auto;">

                    <table id="example" ng-if="productMap" class="table table-striped table-bordered table-sm row-border hover" datatable [dtOptions]="dtOptions"
                    [dtTrigger]="dtTrigger">
                    <thead>
                        <tr>
                        <th style="text-align: center;">Material Code</th>
                        <th style="text-align: center;">Material Name</th>
                        <th style="text-align: center;">Price Type</th>
                        <th style="text-align: center;">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let user of productMap">
                        <td style="text-align: center;">{{ user.MaterialCode }}</td>
                        <td>{{ user.MaterialDescription }}</td>
                        <td style="text-align: center;">{{ user.PriceTypeName }}</td>
                        <td style="text-align: center;">
                            <a status="info" size="small" nbButton (click) = "EditProductMap(user.Id)"><nb-icon icon="edit-outline"></nb-icon>Edit</a>
                            &nbsp;<a status="warning" size="small" nbButton (click) = "DeleteConfirm(user.Id)"><nb-icon icon="trash-2-outline"></nb-icon>Delete</a>
                        </td>
                        </tr>
                    </tbody>
                    </table>      
                </div>
                </nb-card-body>
            </nb-card>
        </div> 
</div>

